hc-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Oleg Kalnichevski (JIRA)" <j...@apache.org>
Subject [jira] Commented: (HTTPCLIENT-865) HttpClient OSGi Export-Package doesn't specify version
Date Wed, 05 Aug 2009 12:28:14 GMT

    [ https://issues.apache.org/jira/browse/HTTPCLIENT-865?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12739452#action_12739452
] 

Oleg Kalnichevski commented on HTTPCLIENT-865:
----------------------------------------------

Having to manually set a version on each and every imported package would be a _major_ pain
in the rectum and simply defeats the whole point of using the damn bundle plugin. 

Besides, if we set an explicit version on HttpCore imports it would render HttpClient OSGi
bundle with officially released OSGi bundles of HttpCore.

Oleg

> HttpClient OSGi Export-Package doesn't specify version
> ------------------------------------------------------
>
>                 Key: HTTPCLIENT-865
>                 URL: https://issues.apache.org/jira/browse/HTTPCLIENT-865
>             Project: HttpComponents HttpClient
>          Issue Type: Bug
>          Components: HttpClient
>    Affects Versions: 4.0 Beta 2
>            Reporter: Richard Wallace
>             Fix For: 4.0 Final
>
>
> The "Export-Package" manifest entry doesn't specify the version of the package being
exported.  This means that packages importing it can't specify a version to import.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@hc.apache.org
For additional commands, e-mail: dev-help@hc.apache.org


Mime
View raw message